# pod-healthchecks

## Deploy

### Dokku

```
dokku apps:create healthchecks

dokku config:set --no-restart healthchecks TZ=Europe/Rome
dokku config:set --no-restart healthchecks DOKKU_LETSENCRYPT_EMAIL=example@example.org
dokku config:set --no-restart healthchecks DEBUG=False
dokku config:set --no-restart healthchecks PUID=1000
dokku config:set --no-restart healthchecks PGID=1000
dokku config:set --no-restart healthchecks REGISTRATION_OPEN=False
dokku config:set --no-restart healthchecks SITE_ROOT=https://healthchecks.example.org:8000
dokku config:set --no-restart healthchecks SITE_NAME=Example Healthchecks
dokku config:set --no-restart healthchecks EMAIL_HOST=smtp.example.org
dokku config:set --no-restart healthchecks EMAIL_HOST_USER=admin@example.org
dokku config:set --no-restart healthchecks DEFAULT_FROM_EMAIL=no-reply@example.org
dokku config:set --no-restart healthchecks SUPERUSER_EMAIL=admin@example.org
dokku config:set --no-restart healthchecks SUPERUSER_PASSWORD=thisisasecret

dokku storage:mount healthchecks /var/lib/dokku/data/storage/healthchecks:/config

dokku proxy:ports-add healthchecks http:80:8000
dokku proxy:ports-remove healthchecks http:8000:8000

git push dokku main:main

dokku letsencrypt:enable healthchecks
dokku letsencrypt:cron-job --add healthchecks
```
